// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef NESTED_IMPL_H
#define NESTED_IMPL_H

#include <Nested_skel.h>

class I_impl : public I_skel
{
    I_var peer_;
    int level_;

public:

    I_impl();
    I_impl(I_ptr peer, int level);

    virtual void connect(I_ptr peer);
    virtual void f();
};

#endif
